# $Revision: 1.12 $, $Date: 2001/12/06 10:00:30 $
Summary:	A (currently) authoritative-only DNS server made with security in mind
Summary(pl):	Tylko autorytatywny (na razie) serwer DNS zrobiony z myl o bezpieczestwie
Name:		maradns
Version:	0.8.35
Release:	2
License:	Public domain
Group:		Networking/Daemons
Group(de):	Netzwerkwesen/Server
Group(pl):	Sieciowe/Serwery
Source0:	http://www.maradns.org/download/%{name}-%{version}.tar.bz2
Source1:	%{name}.init
Source2:	zoneserver.init
Source3:	mararc
Prereq:		/sbin/chkconfig
Prereq:		fileutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Conflicts:	bind
Conflicts:	djbdns

%description
MaraDNS is (currently) an authoritative-only DNS server made with
security in mind.

%description -l pl
MaraDNS jest (na razie) tylko autorytatywnym serwerem DNS zrobionym z
myl o bezpieczestwie.

%package zoneserver
Summary:	Handle zone transfers for MaraDNS
Summary(pl):	Obsuga transferw stref dla MaraDNS
Group:		Networking/Daemons
Group(de):	Netzwerkwesen/Server
Group(pl):	Sieciowe/Serwery
Requires:	maradns = %{version}
Prereq:		/sbin/chkconfig
Prereq:		fileutils

%description zoneserver
zoneserver listens on port 53/tcp and handles dns zone transfers.
zoneserver uses a configuration file, /etc/mararc by default, to
determine various parameters, such as the IP to bind to, who is
allowed to perform zone transfers, etc.

%description zoneserver -l pl
zoneserver sucha na porcie 53/tcp i obsuguje transfery stref DNS.
Uywa domylnie pliku konfiguracyjnego /etc/mararc aby uzyska
parametry takie jak na jakim adresie ma sucha, kto moe robi
transfery stref itp.

%prep
%setup -q 

%build
%{__make} \
	CC=%{__cc} \
	FLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_bindir},%{_mandir}/man{1,5,8}} \
	$RPM_BUILD_ROOT{%{_sysconfdir}/maradns,/etc/rc.d/init.d} \
	$RPM_BUILD_ROOT%{_localstatedir}/log

install server/maradns tuzona/zoneserver tuzona/getzone $RPM_BUILD_ROOT%{_sbindir}
install tools/askmara $RPM_BUILD_ROOT%{_bindir}
install tools/benchmark $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/maradns
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/zoneserver
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/mararc
install doc/example_csv1 $RPM_BUILD_ROOT%{_sysconfdir}/maradns/db.example.com

> $RPM_BUILD_ROOT%{_localstatedir}/log/maradns
> $RPM_BUILD_ROOT%{_localstatedir}/log/zoneserver

install doc/man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1/
install doc/man/*.5 $RPM_BUILD_ROOT%{_mandir}/man5/
install doc/man/*.8 $RPM_BUILD_ROOT%{_mandir}/man8/

rm -rf doc/{man,detailed/man_macros}

gzip -9nf 0QuickStart TODO.* 00README.FIRST CREDITS \
	`find doc -type f -a -not -name \*.html`

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if ! id -g maradns > /dev/null 2>&1 ; then
        %{_sbindir}/groupadd -g 58 maradns
fi
if ! id -u maradns > /dev/null 2>&1 ; then
        %{_sbindir}/useradd -u 58 -g 58 -d /dev/null -s /bin/false -c "maraDNS user" maradns
fi

%post
/sbin/chkconfig --add maradns
if [ -f /var/lock/subsys/maradns ]; then
        /etc/rc.d/init.d/maradns restart 1>&2
else
        echo "Type \"/etc/rc.d/init.d/maradns start\" to start maradns" 1>&2
fi
touch %{_localstatedir}/log/maradns
chmod 640 %{_localstatedir}/log/maradns

%post zoneserver
/sbin/chkconfig --add zoneserver
if [ -f /var/lock/subsys/zoneserver ]; then
        /etc/rc.d/init.d/zoneserver restart 1>&2
else
        echo "Type \"/etc/rc.d/init.d/zoneserver start\" to start zoneserver" 1>&2
fi
touch %{_localstatedir}/log/zoneserver
chmod 640 %{_localstatedir}/log/zoneserver

%preun
if [ "$1" = "0" ]; then
        if [ -f /var/lock/subsys/maradns ]; then
                /etc/rc.d/init.d/maradns stop 1>&2
        fi
        /sbin/chkconfig --del maradns
fi

%preun zoneserver
if [ "$1" = "0" ]; then
        if [ -f /var/lock/subsys/zoneserver ]; then
                /etc/rc.d/init.d/zoneserver stop 1>&2
        fi
        /sbin/chkconfig --del zoneserver
fi

%postun
if [ "$1" = "0" ]; then
        %{_sbindir}/userdel maradns
        %{_sbindir}/groupdel maradns
fi

%files
%defattr(644,root,root,755)
%doc *.gz doc changelog.html

%attr(754,root,root) /etc/rc.d/init.d/maradns
%attr(755,root,root) %{_sbindir}/getzone
%attr(755,root,root) %{_sbindir}/maradns
%attr(755,root,root) %{_bindir}/*
%attr(0640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mararc
%attr(0640,root,root) %config %verify(not size mtime md5) %{_sysconfdir}/maradns/db.example.com
%attr(0640,root,root) %ghost %{_localstatedir}/log/maradns
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/maradns*

%files zoneserver
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/zoneserver
%attr(755,root,root) %{_sbindir}/zoneserver
%attr(640,root,root) %ghost %{_localstatedir}/log/zoneserver
%{_mandir}/man8/zoneserver*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: maradns.spec,v $
Revision 1.12  2001/12/06 10:00:30  kloczek
- release 2 (grr .. ;).

Revision 1.11  2001/12/06 09:54:52  qboosh
- pl translations

Revision 1.10  2001/12/04 12:24:48  kloczek
- log files mark as %ghost (it will be good add ASAP logrotate support for
  this files) - using %ghost determines initialize this files in %post
  which determines adding fileutils o Prereq,
- move all %doc to main mackage ane removed doc subpackage.
- added passing FLAGS="%%{rpmcflags}" and CC=%%{__cc} (now spec is %%{debug}
  ready and also well optimized and seems ready for crosscompilation),
- adde missing /sbin/chkconfig to Prereq,
- spec adapterized, cut %changelog and few other small cosmetics/simplifications.

Revision 1.9  2001/12/03 18:23:37  bonkey
- added missing (noreplace) in main %%config

Revision 1.8  2001/12/03 18:17:47  bonkey
- update to 0.8.35 (a lot of bugfixes)
- package splited to: main, zoneserver and doc
- added /var/log/{maradns,zonserver} status logs
- cleaner init scripts

Revision 1.7  2001/10/31 10:50:24  bonkey
- added /usr/bin/benchmark

Revision 1.6  2001/10/30 23:13:52  bonkey
- release: 3
- bugfix for improper /etc/mararc and /etc/rc.d/init.d/zoneserver
  %{SOURCE*} file assigment
- added '%%verify(not size mtime md5)' to %%configs
- %%configs' default attributes are 0640

Revision 1.5  2001/10/25 21:07:13  bonkey
- added chkconfig --add zoneserver in %%post script

Revision 1.4  2001/10/25 21:04:45  bonkey
- release: 2
- added zoneserver support

Revision 1.3  2001/10/24 12:30:14  bonkey
- update to 0.8.26
- added conflicts
- added maradns.init
- added mararc source file
- corrected files list
- added {pre,post}{,un} scripts for adding user maradns

Revision 1.2  2001/05/19 15:40:14  undefine
- updated to 0.6.16

Revision 1.1  2001/05/09 07:19:14  undefine
- Initital PLD version

Based on spec by Sam Trenholme <rpmbuild@maradns.org> 
